/*

  This is a part of the Project Frontier's Source code.

  Copyright (C) 1997-98 Francis Gastellu
                    aka Lone Runner/Aegis

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
/*
                           ś+ Project Frontier +ś

ž BBS System
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
±±± MAIN ±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

 This file contains the startup for the BBS system. It just launch inits
 and run the MAIN.PPE

*/

#include <dir.h>
#include <process.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <string.h>
#include <time.h>
#include <ctype.h>
#include <alloc.h>
#include <share.h>
#include "..\lang\ppl_type.h"
#include "..\lang\ppl.h"
#include "..\lang\fortify.h"
#include "..\com\async.h"
#include "..\com\system.h"
#include "..\com\api.h"
#include "..\com\frt_sdk.h"
#include "..\com\pcbdat.h"
#include "..\com\startup.h"
#include "..\com\closeup.h"
#include "..\com\vio.h"
#include "..\com\xms\xms.h"

extern unsigned _stklen = 32767U;
int directvideo = 1;
int swapType=1;

int	main(int argc, char **argv)
{
int	a;
XMS XMSText(1);

if (!XMSText)
	{
	printf("No XMS Present, DISK swap engaged.\n");
    swapType = 0;
//    exit(-1);
    }

Fortify_EnterScope();

if (!frontierStartup(argc, argv))
	exit(-1);

*tmpStr=0;
for (a=1;a<argc;a++)
    {
	if (*tmpStr != 0)
		strcat(tmpStr, " ");
    strcat(tmpStr, argv[a]);
    }
tokenize(tmpStr, tokenStr);
if (!runSystemPPE("MAIN.PPE"))
	exit(-1);

textattr(0x0F);
clrscr();
VIOgotoxy(0,0);
output("@X1E              @X1BP@X13roject: @X1BF@X13rontier - (@X1Bc@X13) @X1B1@X13996,@X1B9@X137 @X1BT@X13he @X1FA@X1BE@X13GiS @X1BC@X13orporation             ", MASK_SYSOP);

frontierCloseup();
}
